

Fix this:

drivers/scsi/aha1542.c:74: warning: unsigned int format, different type arg (arg 5)



---

 drivers/scsi/aha1542.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/aha1542.c~aha1542-warning-fix drivers/scsi/aha1542.c
--- 25/drivers/scsi/aha1542.c~aha1542-warning-fix	2004-01-19 23:18:29.000000000 -0800
+++ 25-akpm/drivers/scsi/aha1542.c	2004-01-19 23:18:29.000000000 -0800
@@ -67,10 +67,10 @@ static void BAD_SG_DMA(Scsi_Cmnd * SCpnt
 		       int nseg,
 		       int badseg)
 {
-	printk(KERN_CRIT "sgpnt[%d:%d] page %p/0x%x length %u\n",
+	printk(KERN_CRIT "sgpnt[%d:%d] page %p/0x%llx length %u\n",
 	       badseg, nseg,
 	       page_address(sgpnt[badseg].page) + sgpnt[badseg].offset,
-	       SCSI_SG_PA(&sgpnt[badseg]),
+	       (unsigned long long)SCSI_SG_PA(&sgpnt[badseg]),
 	       sgpnt[badseg].length);
 
 	/*

_
